import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { CodeBuildClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../CodeBuildClient";
import { BatchDeleteBuildsInput, BatchDeleteBuildsOutput } from "../models/models_0";
export interface BatchDeleteBuildsCommandInput extends BatchDeleteBuildsInput {
}
export interface BatchDeleteBuildsCommandOutput extends BatchDeleteBuildsOutput, __MetadataBearer {
}

export declare class BatchDeleteBuildsCommand extends $Command<BatchDeleteBuildsCommandInput, BatchDeleteBuildsCommandOutput, CodeBuildClientResolvedConfig> {
    readonly input: BatchDeleteBuildsCommandInput;
    constructor(input: BatchDeleteBuildsCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: CodeBuildClientResolvedConfig, options?: __HttpHandlerOptions): Handler<BatchDeleteBuildsCommandInput, BatchDeleteBuildsCommandOutput>;
    private serialize;
    private deserialize;
}
