import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { CodeBuildClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../CodeBuildClient";
import { BatchGetBuildsInput, BatchGetBuildsOutput } from "../models/models_0";
export interface BatchGetBuildsCommandInput extends BatchGetBuildsInput {
}
export interface BatchGetBuildsCommandOutput extends BatchGetBuildsOutput, __MetadataBearer {
}

export declare class BatchGetBuildsCommand extends $Command<BatchGetBuildsCommandInput, BatchGetBuildsCommandOutput, CodeBuildClientResolvedConfig> {
    readonly input: BatchGetBuildsCommandInput;
    constructor(input: BatchGetBuildsCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: CodeBuildClientResolvedConfig, options?: __HttpHandlerOptions): Handler<BatchGetBuildsCommandInput, BatchGetBuildsCommandOutput>;
    private serialize;
    private deserialize;
}
