import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { CodeBuildClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../CodeBuildClient";
import { BatchGetReportsInput, BatchGetReportsOutput } from "../models/models_0";
export interface BatchGetReportsCommandInput extends BatchGetReportsInput {
}
export interface BatchGetReportsCommandOutput extends BatchGetReportsOutput, __MetadataBearer {
}

export declare class BatchGetReportsCommand extends $Command<BatchGetReportsCommandInput, BatchGetReportsCommandOutput, CodeBuildClientResolvedConfig> {
    readonly input: BatchGetReportsCommandInput;
    constructor(input: BatchGetReportsCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: CodeBuildClientResolvedConfig, options?: __HttpHandlerOptions): Handler<BatchGetReportsCommandInput, BatchGetReportsCommandOutput>;
    private serialize;
    private deserialize;
}
