import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { CodeBuildClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../CodeBuildClient";
import { DeleteBuildBatchInput, DeleteBuildBatchOutput } from "../models/models_0";
export interface DeleteBuildBatchCommandInput extends DeleteBuildBatchInput {
}
export interface DeleteBuildBatchCommandOutput extends DeleteBuildBatchOutput, __MetadataBearer {
}

export declare class DeleteBuildBatchCommand extends $Command<DeleteBuildBatchCommandInput, DeleteBuildBatchCommandOutput, CodeBuildClientResolvedConfig> {
    readonly input: DeleteBuildBatchCommandInput;
    constructor(input: DeleteBuildBatchCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: CodeBuildClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DeleteBuildBatchCommandInput, DeleteBuildBatchCommandOutput>;
    private serialize;
    private deserialize;
}
