import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { CodeBuildClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../CodeBuildClient";
import { DeleteReportGroupInput, DeleteReportGroupOutput } from "../models/models_0";
export interface DeleteReportGroupCommandInput extends DeleteReportGroupInput {
}
export interface DeleteReportGroupCommandOutput extends DeleteReportGroupOutput, __MetadataBearer {
}

export declare class DeleteReportGroupCommand extends $Command<DeleteReportGroupCommandInput, DeleteReportGroupCommandOutput, CodeBuildClientResolvedConfig> {
    readonly input: DeleteReportGroupCommandInput;
    constructor(input: DeleteReportGroupCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: CodeBuildClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DeleteReportGroupCommandInput, DeleteReportGroupCommandOutput>;
    private serialize;
    private deserialize;
}
