import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { CodeBuildClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../CodeBuildClient";
import { DescribeCodeCoveragesInput, DescribeCodeCoveragesOutput } from "../models/models_0";
export interface DescribeCodeCoveragesCommandInput extends DescribeCodeCoveragesInput {
}
export interface DescribeCodeCoveragesCommandOutput extends DescribeCodeCoveragesOutput, __MetadataBearer {
}

export declare class DescribeCodeCoveragesCommand extends $Command<DescribeCodeCoveragesCommandInput, DescribeCodeCoveragesCommandOutput, CodeBuildClientResolvedConfig> {
    readonly input: DescribeCodeCoveragesCommandInput;
    constructor(input: DescribeCodeCoveragesCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: CodeBuildClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DescribeCodeCoveragesCommandInput, DescribeCodeCoveragesCommandOutput>;
    private serialize;
    private deserialize;
}
