import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { CodeBuildClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../CodeBuildClient";
import { ImportSourceCredentialsInput, ImportSourceCredentialsOutput } from "../models/models_0";
export interface ImportSourceCredentialsCommandInput extends ImportSourceCredentialsInput {
}
export interface ImportSourceCredentialsCommandOutput extends ImportSourceCredentialsOutput, __MetadataBearer {
}

export declare class ImportSourceCredentialsCommand extends $Command<ImportSourceCredentialsCommandInput, ImportSourceCredentialsCommandOutput, CodeBuildClientResolvedConfig> {
    readonly input: ImportSourceCredentialsCommandInput;
    constructor(input: ImportSourceCredentialsCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: CodeBuildClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ImportSourceCredentialsCommandInput, ImportSourceCredentialsCommandOutput>;
    private serialize;
    private deserialize;
}
