import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { CodeBuildClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../CodeBuildClient";
import { InvalidateProjectCacheInput, InvalidateProjectCacheOutput } from "../models/models_0";
export interface InvalidateProjectCacheCommandInput extends InvalidateProjectCacheInput {
}
export interface InvalidateProjectCacheCommandOutput extends InvalidateProjectCacheOutput, __MetadataBearer {
}

export declare class InvalidateProjectCacheCommand extends $Command<InvalidateProjectCacheCommandInput, InvalidateProjectCacheCommandOutput, CodeBuildClientResolvedConfig> {
    readonly input: InvalidateProjectCacheCommandInput;
    constructor(input: InvalidateProjectCacheCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: CodeBuildClientResolvedConfig, options?: __HttpHandlerOptions): Handler<InvalidateProjectCacheCommandInput, InvalidateProjectCacheCommandOutput>;
    private serialize;
    private deserialize;
}
