import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { CodeBuildClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../CodeBuildClient";
import { ListReportsForReportGroupInput, ListReportsForReportGroupOutput } from "../models/models_0";
export interface ListReportsForReportGroupCommandInput extends ListReportsForReportGroupInput {
}
export interface ListReportsForReportGroupCommandOutput extends ListReportsForReportGroupOutput, __MetadataBearer {
}

export declare class ListReportsForReportGroupCommand extends $Command<ListReportsForReportGroupCommandInput, ListReportsForReportGroupCommandOutput, CodeBuildClientResolvedConfig> {
    readonly input: ListReportsForReportGroupCommandInput;
    constructor(input: ListReportsForReportGroupCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: CodeBuildClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListReportsForReportGroupCommandInput, ListReportsForReportGroupCommandOutput>;
    private serialize;
    private deserialize;
}
