import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { CodeBuildClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../CodeBuildClient";
import { ListSharedProjectsInput, ListSharedProjectsOutput } from "../models/models_0";
export interface ListSharedProjectsCommandInput extends ListSharedProjectsInput {
}
export interface ListSharedProjectsCommandOutput extends ListSharedProjectsOutput, __MetadataBearer {
}

export declare class ListSharedProjectsCommand extends $Command<ListSharedProjectsCommandInput, ListSharedProjectsCommandOutput, CodeBuildClientResolvedConfig> {
    readonly input: ListSharedProjectsCommandInput;
    constructor(input: ListSharedProjectsCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: CodeBuildClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListSharedProjectsCommandInput, ListSharedProjectsCommandOutput>;
    private serialize;
    private deserialize;
}
