import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { CodeBuildClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../CodeBuildClient";
import { ListSourceCredentialsInput, ListSourceCredentialsOutput } from "../models/models_0";
export interface ListSourceCredentialsCommandInput extends ListSourceCredentialsInput {
}
export interface ListSourceCredentialsCommandOutput extends ListSourceCredentialsOutput, __MetadataBearer {
}

export declare class ListSourceCredentialsCommand extends $Command<ListSourceCredentialsCommandInput, ListSourceCredentialsCommandOutput, CodeBuildClientResolvedConfig> {
    readonly input: ListSourceCredentialsCommandInput;
    constructor(input: ListSourceCredentialsCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: CodeBuildClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListSourceCredentialsCommandInput, ListSourceCredentialsCommandOutput>;
    private serialize;
    private deserialize;
}
