import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { CodeBuildClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../CodeBuildClient";
import { RetryBuildBatchInput, RetryBuildBatchOutput } from "../models/models_0";
export interface RetryBuildBatchCommandInput extends RetryBuildBatchInput {
}
export interface RetryBuildBatchCommandOutput extends RetryBuildBatchOutput, __MetadataBearer {
}

export declare class RetryBuildBatchCommand extends $Command<RetryBuildBatchCommandInput, RetryBuildBatchCommandOutput, CodeBuildClientResolvedConfig> {
    readonly input: RetryBuildBatchCommandInput;
    constructor(input: RetryBuildBatchCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: CodeBuildClientResolvedConfig, options?: __HttpHandlerOptions): Handler<RetryBuildBatchCommandInput, RetryBuildBatchCommandOutput>;
    private serialize;
    private deserialize;
}
