import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { CodeBuildClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../CodeBuildClient";
import { RetryBuildInput, RetryBuildOutput } from "../models/models_0";
export interface RetryBuildCommandInput extends RetryBuildInput {
}
export interface RetryBuildCommandOutput extends RetryBuildOutput, __MetadataBearer {
}

export declare class RetryBuildCommand extends $Command<RetryBuildCommandInput, RetryBuildCommandOutput, CodeBuildClientResolvedConfig> {
    readonly input: RetryBuildCommandInput;
    constructor(input: RetryBuildCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: CodeBuildClientResolvedConfig, options?: __HttpHandlerOptions): Handler<RetryBuildCommandInput, RetryBuildCommandOutput>;
    private serialize;
    private deserialize;
}
