import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { CodeBuildClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../CodeBuildClient";
import { StartBuildInput, StartBuildOutput } from "../models/models_0";
export interface StartBuildCommandInput extends StartBuildInput {
}
export interface StartBuildCommandOutput extends StartBuildOutput, __MetadataBearer {
}

export declare class StartBuildCommand extends $Command<StartBuildCommandInput, StartBuildCommandOutput, CodeBuildClientResolvedConfig> {
    readonly input: StartBuildCommandInput;
    constructor(input: StartBuildCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: CodeBuildClientResolvedConfig, options?: __HttpHandlerOptions): Handler<StartBuildCommandInput, StartBuildCommandOutput>;
    private serialize;
    private deserialize;
}
