import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { CodePipelineClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../CodePipelineClient";
import { AcknowledgeJobInput, AcknowledgeJobOutput } from "../models/models_0";
export interface AcknowledgeJobCommandInput extends AcknowledgeJobInput {
}
export interface AcknowledgeJobCommandOutput extends AcknowledgeJobOutput, __MetadataBearer {
}

export declare class AcknowledgeJobCommand extends $Command<AcknowledgeJobCommandInput, AcknowledgeJobCommandOutput, CodePipelineClientResolvedConfig> {
    readonly input: AcknowledgeJobCommandInput;
    constructor(input: AcknowledgeJobCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: CodePipelineClientResolvedConfig, options?: __HttpHandlerOptions): Handler<AcknowledgeJobCommandInput, AcknowledgeJobCommandOutput>;
    private serialize;
    private deserialize;
}
