import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { CodePipelineClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../CodePipelineClient";
import { GetJobDetailsInput, GetJobDetailsOutput } from "../models/models_0";
export interface GetJobDetailsCommandInput extends GetJobDetailsInput {
}
export interface GetJobDetailsCommandOutput extends GetJobDetailsOutput, __MetadataBearer {
}

export declare class GetJobDetailsCommand extends $Command<GetJobDetailsCommandInput, GetJobDetailsCommandOutput, CodePipelineClientResolvedConfig> {
    readonly input: GetJobDetailsCommandInput;
    constructor(input: GetJobDetailsCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: CodePipelineClientResolvedConfig, options?: __HttpHandlerOptions): Handler<GetJobDetailsCommandInput, GetJobDetailsCommandOutput>;
    private serialize;
    private deserialize;
}
