import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { CodePipelineClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../CodePipelineClient";
import { ListWebhooksInput, ListWebhooksOutput } from "../models/models_0";
export interface ListWebhooksCommandInput extends ListWebhooksInput {
}
export interface ListWebhooksCommandOutput extends ListWebhooksOutput, __MetadataBearer {
}

export declare class ListWebhooksCommand extends $Command<ListWebhooksCommandInput, ListWebhooksCommandOutput, CodePipelineClientResolvedConfig> {
    readonly input: ListWebhooksCommandInput;
    constructor(input: ListWebhooksCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: CodePipelineClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListWebhooksCommandInput, ListWebhooksCommandOutput>;
    private serialize;
    private deserialize;
}
