import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { CodePipelineClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../CodePipelineClient";
import { PollForJobsInput, PollForJobsOutput } from "../models/models_0";
export interface PollForJobsCommandInput extends PollForJobsInput {
}
export interface PollForJobsCommandOutput extends PollForJobsOutput, __MetadataBearer {
}

export declare class PollForJobsCommand extends $Command<PollForJobsCommandInput, PollForJobsCommandOutput, CodePipelineClientResolvedConfig> {
    readonly input: PollForJobsCommandInput;
    constructor(input: PollForJobsCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: CodePipelineClientResolvedConfig, options?: __HttpHandlerOptions): Handler<PollForJobsCommandInput, PollForJobsCommandOutput>;
    private serialize;
    private deserialize;
}
